## org.eclipse.m2m.atl.adt.ui.viewsupport
Class AtlEditorTickErrorUpdater

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.viewsupport.AtlEditorTickErrorUpdater

All Implemented Interfaces:
  IProblemChangedListener

    public class AtlEditorTickErrorUpdater

extends java.lang.Object
implements IProblemChangedListener

The ATL editor markers updater.

Constructor Summary
`AtlEditorTickErrorUpdater(AtlEditor editor)` Creates an updater for the given editor.

Method Summary
`void` `dispose()` Dispose the image.
`void` `problemsChanged(org.eclipse.core.resources.IResource[] changedResources, boolean isMarkerChange)` Called when problems changed.
`void` `updateEditorImage(org.eclipse.core.resources.IResource res)` Updates the editor tab image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlEditorTickErrorUpdater

    public AtlEditorTickErrorUpdater(AtlEditor editor)

  Creates an updater for the given editor.

  Parameters:
    `editor` - the atl editor

Method Detail

### problemsChanged

    public void problemsChanged(org.eclipse.core.resources.IResource[] changedResources,
                                boolean isMarkerChange)

  Called when problems changed.

  Specified by:
    `problemsChanged` in interface `IProblemChangedListener`
  Parameters:
    `changedResources` - A set with elements of type `IResource` that
  See Also:
    `IProblemChangedListener.problemsChanged(org.eclipse.core.resources.IResource[], boolean)`

### updateEditorImage

    public void updateEditorImage(org.eclipse.core.resources.IResource res)

  Updates the editor tab image.

  Parameters:
    `res` - the current resource

### dispose

    public void dispose()

  Dispose the image.

Copyright 2007 IBM Corporation and others. All Rights Reserved.